C     キーボードから値を読み込むためのサブルーチン集
C     2002-11-07 大信田 丈志 <ooshida@damp.tottori-u.ac.jp>
C ---------------------------------------------------------------
      subroutine get1i(what, i1)
C     キーボードから整数の値を1つ読みこむ

      implicit none
      character*(*) what
      integer i1

 400  write(0,*) 'please input: ', what
      read(*,*,err=400) i1

      return
      end
C ---------------------------------------------------------------
      subroutine get2i(what, i1,i2)
C     キーボードから整数の値を2つ読みこむ

      implicit none
      character*(*) what
      integer i1,i2

 400  write(0,*) 'please input: ', what
      read(*,*,err=400) i1,i2

      return
      end

C ---------------------------------------------------------------
      subroutine get1r(what, r1)
C     キーボードから実数の値を2つ読みこむ

      implicit none
      character*(*) what
      real r1

 400  write(0,*) 'please input: ', what
      read(*,*,err=400) r1

      return
      end

C ---------------------------------------------------------------
      subroutine get2r(what, r1,r2)
C     キーボードから実数の値を2つ読みこむ

      implicit none
      character*(*) what
      real r1,r2

 400  write(0,*) 'please input: ', what
      read(*,*,err=400) r1,r2

      return
      end

C ---------------------------------------------------------------
      subroutine get3r(what, r1,r2,r3)
C     キーボードから実数の値を3つ読みこむ

      implicit none
      character*(*) what
      real r1,r2,r3

 400  write(0,*) 'please input: ', what
      read(*,*,err=400) r1,r2,r3

      return
      end

C ---------------------------------------------------------------
